<?php 

/************** Includes **********************************/
require_once '../config.php';
require_once DIRLIBCOMP . 'SPDO.php';
$conexion = new SPDO(BDENGINE, BDHOST, BDDATABASE, BDUSER, BDPASS);

$tarifas          = $_POST['LocalizadorTarifas'];
$localizadorTotal = $_POST['LocalizadorTotal'];

$tarifas_id = "";
$tarifas_p  = explode(":", $tarifas);

$precio_total = 0;

foreach ($tarifas_p as $tarifa) {
	$tarifa_p = explode(",", $tarifa);

	if (!is_numeric($tarifa_p[2])){
		echo 0;
		die; 
	}
	if (!is_numeric($tarifa_p[0])){
		echo 0;
		die; 
	}

	$tarifaid= intval($tarifa_p[0]);

	if( $tarifa_p[2] > 0)
	{
		//Obtenemos el precio de la tarifa desde la base de datos
		$sql_precio = "SELECT  t.precio
					   FROM tarifas t 
					   WHERE t.id = :id_tarifa ";
		
		$result_precio = $conexion->prepare($sql_precio);
		$result_precio->execute(array(':id_tarifa' => $tarifaid));
				
		if($result_precio->rowCount() > 0){
			$row_precio = $result_precio->fetch();

			$precio_total += $row_precio['precio'] * $tarifa_p[2];			
		}else{
			//Si no existe  la tarifa marcamos como error la comprobacion
			echo 0;
			die; 
		}

		$tarifas_id .= $tarifa_p[0] . ",";
	}
}

if( floatval($localizadorTotal) < 0){
	echo 0;
}else if(floatval($precio_total) ==  floatval($localizadorTotal)){
	echo 1;
}else{
	echo 0;
}

?> 